com.informix.jdbc

## Interface IfmxParameterMetaData

All Superinterfaces:
  java.sql.ParameterMetaData, java.sql.Wrapper

All Known Implementing Classes:
  IfxParameterMetaData

    public interface IfmxParameterMetaData
    extends java.sql.ParameterMetaData

The IfmxParameterMetaData interface extends the java.sql.IfmxParameterMetaData interface.

### Field Summary

### Fields inherited from interface java.sql.ParameterMetaData

`parameterModeIn, parameterModeInOut, parameterModeOut, parameterModeUnknown, parameterNoNulls, parameterNullable, parameterNullableUnknown`

### Method Summary

Methods
`int` `getParameterAlignment(int param)` Gets the Parameter's alignment
`int` `getParameterExtendedId(int param)` Gets the Parameter's extended id
`java.lang.String` `getParameterExtendedName(int param)` Gets the Parameter's extended name
`java.lang.String` `getParameterExtendedOwnerName(int param)` Gets the Parameter's extended type's owner name
`int` `getParameterLength(int parameter)` Gets the parameter's Length
`int` `getParameterReference(int param)` Gets the Parameter's reference type
`int` `getParameterSourceType(int param)` Gets the Parameter's SourceType

### Methods inherited from interface java.sql.ParameterMetaData

`getParameterClassName, getParameterCount, getParameterMode, getParameterType, getParameterTypeName, getPrecision, getScale, isNullable, isSigned`

### Methods inherited from interface java.sql.Wrapper

`isWrapperFor, unwrap`

### Method Detail

#### getParameterExtendedId

    int getParameterExtendedId(int param)
                               throws java.sql.SQLException

Gets the Parameter's extended id

Parameters:
  `parameter` - the first parameter is 1, the second is 2, ...
Returns:
  The extended id.
Throws:
  `java.sql.SQLException` - if a database access error occurs

#### getParameterExtendedName

    java.lang.String getParameterExtendedName(int param)
                                              throws java.sql.SQLException

Gets the Parameter's extended name

Parameters:
  `parameter` - the first parameter is 1, the second is 2, ...
Returns:
  The extended type name.
Throws:
  `java.sql.SQLException` - if a database access error occurs

#### getParameterExtendedOwnerName

    java.lang.String getParameterExtendedOwnerName(int param)
                                                   throws java.sql.SQLException

Gets the Parameter's extended type's owner name

Parameters:
  `parameter` - the first parameter is 1, the second is 2, ...
Returns:
  The owner name.
Throws:
  `java.sql.SQLException` - if a database access error occurs

#### getParameterReference

    int getParameterReference(int param)
                              throws java.sql.SQLException

Gets the Parameter's reference type

Parameters:
  `parameter` - the first parameter is 1, the second is 2, ...
Returns:
  The reference type.
Throws:
  `java.sql.SQLException` - if a database access error occurs

#### getParameterAlignment

    int getParameterAlignment(int param)
                              throws java.sql.SQLException

Gets the Parameter's alignment

Parameters:
  `parameter` - the first parameter is 1, the second is 2, ...
Returns:
  The alignment.
Throws:
  `java.sql.SQLException` - if a database access error occurs

#### getParameterSourceType

    int getParameterSourceType(int param)
                               throws java.sql.SQLException

Gets the Parameter's SourceType

Parameters:
  `parameter` - the first parameter is 1, the second is 2, ...
Returns:
  The source type.
Throws:
  `java.sql.SQLException` - if a database access error occurs

#### getParameterLength

    int getParameterLength(int parameter)
                           throws java.sql.SQLException

Gets the parameter's Length

Parameters:
  `parameter` - the first parameter is 1, the second is 2, ...
Returns:
  The parameter's encoded length.
Throws:
  `java.sql.SQLException` - if a database access error occurs